[flake8]
exclude = .git,docs,build,dist,test,*__init__.py,bilby_pipe/_version.py,versioneer.py
max-line-length = 120
ignore = E129 W504 W503

[metadata]
license_file = LICENSE

[tool:pytest]
addopts = -p no:warnings

[tool:isort]
profile=black
known_third_party=configargparse,corner,gwpy,jinja2,lal,lalsimulation,matplotlib,mock,numpy,pandas,pycondor,seaborn,setuptools,tqdm
known_first_party=bilby,bilby_pipe

[versioneer]
VCS = git
style = pep440
versionfile_source = bilby_pipe/_version.py
versionfile_build = bilby_pipe/_version.py
tag_prefix =
